Retrieve a resource by path.

This endpoint retrieves the resource at the given path. Restricted resources cannot be accessed. To access those resources too, you have to use /mydelivery/v1/resources.
The resource's path can be obtained using the Authoring assets API: /authoring/v1/assets

\{
    "items": [
        \{
            "mediaType": "image/jpeg",
            "name": "myPicture.jpg",
            "path": "/path/to/myPicture.jpg",
            ...

The delivery URL for this endpoint would look like:

/delivery/v1/resources?path=/path/to/myPicture.jpg

Note: This endpoint should not be used for rendering published resources on a site, retrieving resources from Akamai directly is better optimized for this use case.

To retrieve the resource directly from Akamai:

https://[host]/[TenantID]/path/to/myPicture.jpg


User roles: admin, manager, editor, viewer, authenticatedVisitor, anonymous

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Provide the absolute path of the resource (URL encoded).

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json